/// class PD.Manage.Modules.DataModelExtensionsToolbar
// using PD.Web.UI.Controls.ToolbarSegment

PD.Manage.Modules.DataModelExtensionsToolbar =
PD.Web.UI.Controls.ToolbarSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/data-model:extension/create"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/data-model:extension/properties-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/data-model:extension/delete-dialog"
        }));

    }

});